textures/pkhqv3/bacta
{
	qer_editorimage	textures/pkhqv3/bacta_tank_liquid
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	water
	surfaceparm	trans
	q3map_material	Water
	q3map_nolightmap
	cull	twosided
    {
        map textures/pkhqv3/bacta_tank_liquid
        blendFunc GL_ONE GL_SRC_ALPHA
        tcMod stretch sin 1 0.2 0 0.03
        tcMod scroll 0 0.05
    }
    {
        map textures/pkhqv3/bac_small
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        tcMod scroll 0 0.45
    }
    {
        map textures/pkhqv3/bac_medium
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        tcMod turb 1 0.05 0 0.08
        tcMod scroll 0 0.2
    }
    {
        map textures/pkhqv3/bac_large
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        tcMod turb 1 0.05 0 0.1
        tcMod scroll 0 0.1
    }
}

textures/pkhqv3/bacta_tank_liquid
{
	qer_editorimage	textures/pkhqv3/bacta_tank_liquid
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	water
	surfaceparm	trans
	q3map_material	Water
	q3map_nolightmap
    {
        map textures/pkhqv3/bacta_tank_liquid
        blendFunc GL_ONE GL_SRC_ALPHA
        tcMod stretch sin 1 0.2 0 0.03
        tcMod scroll 0 0.05
    }
    {
        map textures/pkhqv3/bac_small
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        tcMod scroll 0 0.45
    }
    {
        map textures/pkhqv3/bac_medium
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        tcMod turb 1 0.05 0 0.08
        tcMod scroll 0 0.2
    }
    {
        map textures/pkhqv3/bac_large
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        tcMod turb 1 0.05 0 0.1
        tcMod scroll 0 0.1
    }
}

textures/pkhqv3/brightwhite2
{
	qer_editorimage	textures/pkhqv3/brightwhite
	q3map_surfacelight	16000
	q3map_nolightmap
    {
        map textures/pkhqv3/brightwhite
    }
}

textures/pkhqv3/brightwhite
{
	q3map_surfacelight	12000
	q3map_nolightmap
    {
        map textures/pkhqv3/brightwhite
    }
}

textures/pkhqv3/mediumwhite
{
	qer_editorimage	textures/pkhqv3/brightwhite
	q3map_surfacelight	8000
	q3map_nolightmap
    {
        map textures/pkhqv3/brightwhite
    }
}

textures/pkhqv3/standardwhite
{
	qer_editorimage	textures/pkhqv3/brightwhite
	q3map_surfacelight	4000
	q3map_nolightmap
    {
        map textures/pkhqv3/brightwhite
    }
}

textures/pkhqv3/Plasma
{
	lightcolor	( 1 0.501961 0.752941 )
	qer_editorimage	textures/pkhqv3/brightwhite
	q3map_surfacelight	500
	surfaceparm	nodamage
	surfaceparm	noimpact
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_nolightmap
	deformvertexes	wave	100 sin 0 2 1 2
    {
        map textures/pkhqv3/plasma
        blendFunc GL_SRC_ALPHA GL_SRC_ALPHA
        alphaGen blend
        tcMod scroll 0 8
    }
}

textures/pkhqv3/dimlight
{
	qer_editorimage	textures/pkhqv3/brightwhite
	q3map_surfacelight	200
	q3map_nolightmap
    {
        map textures/pkhqv3/brightwhite
        glow
    }
}

textures/pkhqv3/plasma_beam
{
	lightcolor	( 1 0.501961 0.752941 )
	qer_editorimage	textures/pkhqv3/plasma_beam
	q3map_surfacelight	500
	surfaceparm	nodamage
	surfaceparm	noimpact
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_nolightmap
	deformvertexes	wave	100 sin 0 2 1 4
    {
        map textures/pkhqv3/plasma_beam
        blendFunc GL_SRC_ALPHA GL_SRC_ALPHA
        alphaGen blend
        tcMod scroll 0 8
    }
}

textures/pkhqv3/plasma_beam_glowing
{
	lightcolor	( 1 0.501961 0.752941 )
	qer_editorimage	textures/pkhqv3/plasma_beam
	q3map_surfacelight	500
	surfaceparm	nodamage
	surfaceparm	noimpact
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_nolightmap
	deformvertexes	wave	100 sin 0 2 1 4
    {
        map textures/pkhqv3/plasma_beam
        blendFunc GL_SRC_ALPHA GL_SRC_ALPHA
        glow
        alphaGen blend
        tcMod scroll 0 8
    }
}

textures/pkhqv3/lightnew_bright
{
	lightcolor	( 1 1 1 )
	q3map_surfacelight	5000
    {
        map $lightmap
    }
    {
        map textures/pkhqv3/lightnew
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/pkhqv3/lightnewglow
        blendFunc GL_ONE GL_ONE
        glow
        rgbGen wave triangle 1 0.025 1 25
    }
}

textures/pkhqv3/blue_forcefield
{
	qer_editorimage	textures/pkhqv3/bluefield1
	surfaceparm	forcefield
	surfaceparm	trans
	q3map_nolightmap
	cull	twosided
    {
        map textures/pkhqv3/bluefield1
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 1 4 0 0.25
        tcMod scroll 10 10
    }
    {
        map textures/pkhqv3/bluefield2
        blendFunc GL_ONE GL_ONE
        rgbGen identity
        tcMod scale 2 2
        tcMod scroll 5 5
        tcMod stretch sin 0 1 0 1
    }
    {
        map textures/pkhqv3/bluefield2
        blendFunc GL_ONE GL_ONE
        rgbGen identity
        tcMod scale 2 2
        tcMod scroll -5 -5
        tcMod stretch sin 0.5 1 0.5 1
    }
}

textures/pkhqv3/floorgrate
{
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_material	HollowMetal
	q3map_nolightmap
	q3map_onlyvertexlighting
	cull	twosided
    {
        map textures/pkhqv3/floorgrate
        alphaFunc GE128
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
}

models/map_objects/nar_shaddar/plant
{
	q3map_nolightmap
	q3map_onlyvertexlighting
	cull	disable
    {
        map models/map_objects/nar_shaddar/plant
        alphaFunc GE128
        rgbGen lightingDiffuse
    }
}

textures/kejim/strutlight_on
{
	lightcolor	( 1 1 1 )
	qer_editorimage	textures/kejim/strutlight
	q3map_surfacelight	1000
    {
        map $lightmap
    }
    {
        map textures/kejim/strutlight
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/kejim/strutlightglow
        blendFunc GL_ONE GL_ONE
    }
}
models/map_objects/kejim/examinerbase
{
	q3map_nolightmap
	q3map_onlyvertexlighting
    {
        map models/map_objects/kejim/examinerbase
        blendFunc GL_ONE GL_ZERO
        rgbGen lightingDiffuse
    }
}

